/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface IndexbookSessionBeanRemote {

    public void newIndexbook(entities.Indexbook i);

    public java.util.List<entities.Subject> allSubject(entities.Users u);

    public java.util.List<entities.Subject> signedSubject(entities.Users u);

    public java.util.List<entities.Subject> doneSubject(entities.Users u);

    public java.util.List<entities.Subject> pickedSubject(entities.Users u);

    public void deleteByStudentANDSemesterANDSubject(entities.Users u, entities.Semester sem, entities.Subject sub) throws helper.DatabaseException;

    public java.util.List<entities.Indexbook> findByStudentIdANDSemesterId(entities.Users u, entities.Semester sem);

    public entities.Indexbook findBySemesterAndUserANDSubjectId(entities.Users u, entities.Semester sem, entities.Subject sub);

    public void updateSign(java.lang.String teacher, int sign, java.lang.Long id);

    public void updateMark(java.lang.String teacher, int mark, java.lang.Long id);

    

    

    

   
    
}
